#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QMessageBox>
#include <QTimer>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QTimer *timer = new QTimer(this);
    connect(timer,SIGNAL(timeout()),this,SLOT(timerEvent()));
    timer->start(200);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::timerEvent()
{

    QProcess *proc = new QProcess();
    proc->start("pegaap -m XLRX:1");
    proc->waitForFinished();
    QString datax(proc->readAllStandardOutput());
    ui->labelx->setText(datax.mid(21));

    proc->start("pegaap -m XLRY:1");
    proc->waitForFinished();
    QString datay(proc->readAllStandardOutput());
    ui->labely->setText(datay.mid(21));

    proc->start("pegaap -m XLRZ:1");
    proc->waitForFinished();
    QString dataz(proc->readAllStandardOutput());
    ui->labelz->setText(dataz.mid(21));

}

